Announcement

Collapse
No announcement yet.

Payments not processing for Miva 4.22

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Payments not processing for Miva 4.22

    Hi,
    Can anyone explain why transactions are not going through for my Miva Mechant 4.22 cart?
    After entering billing information and finalizing the order, the site tries to connect to https://id34100.securedata.net/ but just times out.

    User gets the following error: Unable to authorize payment: SSL connection error: (0) errno: 0

    Does this have something to do with the vulnerability in SSLv3, and if so, what is the best way to proceed? I didn't realize this product was out of life. I'm not even sure where to begin if I need to upgrade!

    Thank you.

  • Re: Payments not processing for Miva 4.22

    Yes almost certainly, what version of the Miva Engine are you running? You'll need to make sure Engine is 5.17 or higher. The Miva Engine is a free download and as a rule your host should do it for you.

    Miva 4.x was End Of Lifed in 2011, but this issue isn't directly related to 4.x, it's related to the Engine issue. So you should upgrade for sure, but you can fix this immediate problem first.
    Last edited by Rick Wilson; 12-07-14, 08:52 AM.
    Thanks,

    Rick Wilson
    CEO
    Miva, Inc.
    [email protected]
    https://www.miva.com

    Comment


    • Re: Payments not processing for Miva 4.22

      The latest engine is downloadable from http://www.miva.com/support/downloads
      David Hubbard
      CIO
      Miva
      [email protected]
      http://www.miva.com

      Comment


      • Re: Payments not processing for Miva 4.22

        ...but as a cautionary tale...something like this might happen in the future that would require an update no?
        Last edited by Rick Wilson; 12-07-14, 10:05 AM.
        Bruce Golub
        Phosphor Media - "Your Success is our Business"

        Improve Your Customer Service | Get MORE Customers | Edit CSS/Javascript/HTML Easily | Make Your Site Faster | Get Indexed by Google | Free Modules | Follow Us on Facebook
        phosphormedia.com

        Comment


        • Re: Payments not processing for Miva 4.22

          ...but as a cautionary tale...something like this might happen in the future that would require an update no?
          Absolutely, running your business on software released 13 years ago isn't prudent.

          I just wanted to be clear in this case, that this immediate issue is fixable today with very little effort, since they're unable to take payments right now.
          Thanks,

          Rick Wilson
          CEO
          Miva, Inc.
          [email protected]
          https://www.miva.com

          Comment


          • Re: Payments not processing for Miva 4.22

            Originally posted by Rick Wilson View Post
            Absolutely, running your business on software released 13 years ago isn't prudent.

            I just wanted to be clear in this case, that this immediate issue is fixable today with very little effort, since they're unable to take payments right now.
            Hi - thank you so much for all of the replies.

            I received this email from our host today:

            "We have consulted with our Administrators on the matter. Please be informed that Engine is 5.17 (or higher) is required for Miva version 5 which we do not provide. The current version of your Miva shopping card is 4.22 and the engine in use is v4.1400. "

            Any suggestions on how to proceed?

            Comment


            • Re: Payments not processing for Miva 4.22

              Hi
              Thank you for all the replies - much appreciated.

              I received the following reply from my host:

              "We have consulted with our Administrators on the matter. Please be informed that Engine is 5.17 (or higher) is required for Miva version 5 which we do not provide. The current version of your Miva shopping card is 4.22 and the engine in use is v4.1400. "

              Any suggestions on where to go from here?

              Thanks again

              Comment


              • Re: Payments not processing for Miva 4.22

                Your host is simply wrong. Miva Engine 5.x run Miva Merchant 4.14-4.24 without issue.

                At this point I'd suggest moving your site.
                Thanks,

                Rick Wilson
                CEO
                Miva, Inc.
                [email protected]
                https://www.miva.com

                Comment


                • Re: Payments not processing for Miva 4.22

                  Originally posted by Rick Wilson View Post
                  Your host is simply wrong. Miva Engine 5.x run Miva Merchant 4.14-4.24 without issue.

                  At this point I'd suggest moving your site.
                  our host finally upgraded the engine, however, now we're getting another error. It lets you get one step past the credit card entry and then this message comes up, “Unable to authorize payment ‘PNT’ Transact’ is unsupported or not configured."

                  Any help would be greatly appreciated - thanks

                  Comment


                  • Re: Payments not processing for Miva 4.22

                    Which gateway is this?
                    David Hubbard
                    CIO
                    Miva
                    [email protected]
                    http://www.miva.com

                    Comment


                    • Re: Payments not processing for Miva 4.22

                      Gateway is Verisign, which was acquired by PayPal back in 2007. This is obviously complicating matters.

                      Comment


                      • Re: Payments not processing for Miva 4.22

                        This is very odd but it kind of sounds like you're running a version of the payment module that may be older than even the 13 year old version of Merchant. In very old versions, before gateways commonly used remote https requests to perform transactions, the underlying engine had to use 'commerce libraries' to accomplish proprietary communication methods with payment gateways. The 'pnt transact' was one of those commerce libraries. There's no hope of that working on any current server with the SSLv3 issues, however, there may be a later version of the payment module your store is using that would work, regardless of how old it is. I'd recommend opening a ticket with us, letting the support staff know which version of Merchant you're on, give the exact payment module you're using based on the name showing under the Payment Settings menu and asking if there is a 'patch' version available. For example, there is a 4.2404 version of the authorize.net module for version 4.24 stores, and it's perfectly usable in 4.22 stores. There may be a much later version of your payment mod that will work.
                        David Hubbard
                        CIO
                        Miva
                        [email protected]
                        http://www.miva.com

                        Comment

                        Working...
                        X